classification
Title: Python3.10 (x64) crashes after flake8/pyflakes on Windows
Type: crash Stage: resolved
Components: Interpreter Core, Windows Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: _ast module: get_global_ast_state() doesn't work with Mercurial lazy import
View: 41631
Assigned To: Nosy List: neonene, pablogsal, vstinner
Priority: normal Keywords:

Created on 2020-09-11 23:05 by neonene, last changed 2020-09-14 10:01 by vstinner. This issue is now closed.

Messages (3)
msg376747 - (view) Author: neonene (neonene) * Date: 2020-09-11 23:05
On Python3.10(64bit only) for Windows,
flake8 (with .pyc cache) frequently crashes after output.

e.g:
python -m flake8   c:/Python3/Lib/turtle.py
python -m pyflakes c:/Python3/Lib/turtle.py

I think I encountered the crash after PR21293 applied.
(bpo-41194: "Convert _ast extension to PEP 489")
msg376789 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-12 07:00
If it's another _ast regression, see bpo-41631: I proposed PR 21961 to fix it.

I failed to reproduce the issue on Linux with a debug build, on the development master branch:

./python -m venv env
env/bin/python -m pip install pyflakes flake8
env/bin/python -m pyflakes Lib/turtle.py 
env/bin/python -m flake8 Lib/turtle.py
msg376796 - (view) Author: neonene (neonene) * Date: 2020-09-12 08:54
I applied PR 21961 to master and comfirmed no crash.
I'll close this issue. Thanks for your quick reply.
History
Date User Action Args
2020-09-14 10:01:49vstinnersetsuperseder: _ast module: get_global_ast_state() doesn't work with Mercurial lazy import
resolution: duplicate
2020-09-12 08:54:26neonenesetstatus: open -> closed

messages: + msg376796
stage: resolved
2020-09-12 07:00:24vstinnersetmessages: + msg376789
2020-09-11 23:11:47neonenesetnosy: + vstinner, pablogsal, - paul.moore, tim.golden, zach.ware, steve.dower
2020-09-11 23:05:31neonenecreate